@import url('reset.css');
@import url('global.css');

body {
  background-color: var(--primary-color);
}

body::before {
  content: "";
  background-image: url('../images/spider-man-background.jpg');
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
  width: 100%;
  height: 100%;
  position: absolute;
  opacity: 0.2;
  transition: background-image 1s ease-in-out, opacity 1s ease-in-out;
}

.s-menu {
  padding: 1rem 0;
  width: 100%;
  text-align: center;
  position: relative;
}

.s-menu__item {
  display: inline-block;
  text-transform: uppercase;
  margin: 0 1.25rem;
}

.s-menu__icon {
  width: 2.5rem;
  margin: 0 1.25rem;
  vertical-align: middle;
}

.s-container {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: space-evenly;
  perspective: 3000px;
}

.s-card {
  border: 0.5rem solid white;
  width: 100%;
  height: 70vh;
  position: absolute;
  transition: filter .5s ease-in-out;
}

.s-card:nth-child(1) {
  transform: rotateY(0deg) translateZ(50vw);
}

.s-card:nth-child(2) {
  transform: rotateY(120deg) translateZ(50vw);
}

.s-card:nth-child(3) {
  transform: rotateY(240deg) translateZ(50vw);
}

.s-card__background {
  width: 100%;
  height: 100%;
  object-fit: cover;
  position: absolute;
  opacity: 1;
  transition: opacity 1s ease-in-out;
}

.s-card__image {
  width: 100%;
  height: 100%;
  object-fit: contain;
  position: relative;
  transition: 1s ease-in-out;
}

.s-card__title {
  font-size: 2rem;
  text-transform: uppercase;
  text-align: center;
  position: absolute;
  width: 100%;
  bottom: 0;
  transition: bottom 1s ease-in-out;
}

.s-controller {
  position: absolute;
  display: flex;
  justify-content: center;
  align-items: center;
  margin-top: 3rem;
  bottom: 1.5rem;
  width: 100%;
}

.s-controller__button {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 2.5rem;
  height: 2.5rem;
  border: 2px solid white;
  border-radius: 50%;
  background-color: var(--primary-color);
  text-align: center;
  font-size: 1rem;
  font-weight: bold;
  cursor: pointer;
  z-index: 1;
  transition: transform 0.3s ease-in-out;
}

.s-controller__button:hover {
  transform: scale(1.1);
}

.s-controller__button:nth-child(2) {
  margin: 0 3.75rem;
}

.s-controller__button--active {
  background-color: white;
  color: var(--primary-color);
  border: 0.1875rem solid var(--primary-color);
  outline: 0.125rem solid white;
}

.s-controller__line {
  background-color: white;
  width: 50%;
  height: 2px;
  position: absolute;
}

/* Hover Animation */

.s-card--hovered .s-card__background {
  cursor: pointer;
  opacity: 0;
}

.s-card--hovered .s-card__image {
  transform: scale(1.4);
  filter: drop-shadow(30px 10px 4px rgba(0, 0, 0, .5));
}

body#spider-man-01-hovered::before {
  background-image: url('../images/pic-sm-bg-01.jpg');
}

body#spider-man-02-hovered::before {
  background-image: url('../images/pic-sm-bg-02.jpg');
}

body#spider-man-03-hovered::before {
  background-image: url('../images/pic-sm-bg-03.jpg');
}

body[id^="spider-man-"]::before {
  opacity: 1;
}

body[id^="spider-man-"] .s-card:not(.s-card--hovered) {
  filter: grayscale(100%);
}

.s-card--hovered .s-card__title {
  bottom: 50%;
}

.s-cards-carousel {
  display: flex;
  justify-content: center;
  width: calc(100vw / 3 - 10%);
  transform-style: preserve-3d;
  transition: transform 0.4s ease-in;
}

@media (max-width: 850px) {
  .s-menu ul {
    height: 15vh;
    display: grid;
    grid-template-columns: 2fr 1fr 2fr;
    grid-template-rows: 1fr 1fr;
    align-items: center;
    text-align: center;
    padding-top: 20px;
    margin-bottom: 50px;
  }
  
  .s-menu ul li:nth-child(1) {
    /* Estilos para o primeiro item */
    grid-column-start: 1;
    grid-column-end: 2;
    grid-row-start: 1;
    grid-row-end: 2;
  }
  
  .s-menu ul li:nth-child(2) {
    /* Estilos para o primeiro item */
    grid-column-start: 1;
    grid-column-end: 2;
    grid-row-start: 2;
    grid-row-end: 3;
  }
  
  .s-menu__icon {
    /* Estilos para o item com o ícone */
    grid-column-start: 2;
    grid-column-end: 3;
    grid-row-start: 1;
    grid-row-end: 3;
  }
  
  .s-menu__icon img {
    max-height: 120px;
  }
  
  .s-menu ul li:nth-child(4) {
    /* Estilos para o primeiro item */
    grid-column-start: 3;
    grid-column-end: 4;
    grid-row-start: 1;
    grid-row-end: 2;
  }
  
  .s-menu ul li:nth-child(5) {
    /* Estilos para o primeiro item */
    grid-column-start: 3;
    grid-column-end: 4;
    grid-row-start: 2;
    grid-row-end: 3;
  }
  
  .s-container {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    perspective: 1000px;
  }
  
  .s-card {
    border: 0.5rem solid white;
    width: 200px;
    height: 300px;
    position: absolute;
    transition: filter .5s ease-in-out;
  }
  
  .s-card:nth-child(1) {
    transform: rotateY(0deg) translateZ(100vw);
  }
  
  .s-card:nth-child(2) {
    transform: rotateY(120deg) translateZ(100vw);
  }
  
  .s-card:nth-child(3) {
    transform: rotateY(240deg) translateZ(100vw);
  }
  
  .s-card__background {
    width: 100%;
    height: 100%;
    object-fit: cover;
    position: absolute;
    opacity: 1;
    transition: opacity 1s ease-in-out;
  }
  
  .s-card__image {
    width: 100%;
    height: 100%;
    object-fit: contain;
    position: relative;
    transition: 1s ease-in-out;
  }
  
  .s-card__title {
    font-size: 2rem;
    text-transform: uppercase;
    text-align: center;
    position: absolute;
    width: 100%;
    bottom: 0;
    transition: bottom 1s ease-in-out;
  }
  
  .s-controller {
    height: 15vh;
    position: absolute;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 3rem;
    bottom: 1.5rem;
    width: 100%;
  }
  
  .s-controller__button {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 2.5rem;
    height: 2.5rem;
    border: 2px solid white;
    border-radius: 50%;
    background-color: var(--primary-color);
    text-align: center;
    font-size: 1rem;
    font-weight: bold;
    cursor: pointer;
    z-index: 1;
    transition: transform 0.3s ease-in-out;
  }
  
  .s-controller__button:hover {
    transform: scale(1.1);
  }
  
  .s-controller__button:nth-child(2) {
    margin: 0 3.75rem;
  }
  
  .s-controller__button--active {
    background-color: white;
    color: var(--primary-color);
    border: 0.1875rem solid var(--primary-color);
    outline: 0.125rem solid white;
  }
  
  .s-controller__line {
    background-color: white;
    width: 50%;
    height: 2px;
    position: absolute;
  }
  
  /* Hover Animation */
    
  .s-card--hovered .s-card__background {
    cursor: pointer;
    opacity: 0;
  }
  
  .s-card--hovered .s-card__image {
    transform: scale(1.4);
    filter: drop-shadow(30px 10px 4px rgba(0, 0, 0, .5));
  }
  
  body#spider-man-01-hovered::before {
    background-image: url('../images/pic-sm-bg-01.jpg');
  }
  
  body#spider-man-02-hovered::before {
    background-image: url('../images/pic-sm-bg-02.jpg');
  }
  
  body#spider-man-03-hovered::before {
    background-image: url('../images/pic-sm-bg-03.jpg');
  }
  
  body[id^="spider-man-"]::before {
    opacity: 1;
  }
  
  body[id^="spider-man-"] .s-card:not(.s-card--hovered) {
    filter: grayscale(100%);
  }
  
  .s-card--hovered .s-card__title {
    bottom: 50%;
  }
  
  .s-cards-carousel {
    display: flex;
    justify-content: center;
    width: calc(100vw / 3 - 10%);
    transform-style: preserve-3d;
    transition: transform 0.4s ease-in;
  }
}